/****************************************************************************/
/*                                                                          */
/*  Dieses REXX-Script lst das Problem, da beim Archivieren der Arbeits-  */
/*  oberflche durch OS/2 unter Warp 4 das WarpCenter nicht bercksichtigt  */
/*  wird.                                                                   */
/*                                                                          */
/*  Das Script sucht die Datei OS2.KEY und fgt die Dateinamen dock0.cfg    */
/*  bis dock15.cfg sowie scenter.cfg an.                                    */
/*                                                                          */
/*  (c) 1996 Uwe Schlenther, Bebelstrasse 30, D-70193 Stuttgart, Germany    */
/*  Member of TEAM OS/2 Germany, Certified OS/2 Engineer                    */
/*                                                                          */
/*  Kommentare bitte an U.Schlenther@TeamOS2.DE                             */
/*                                                                          */
/****************************************************************************/

CALL rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
CALL sysloadfuncs

PARSE ARG OS2DRIVE ARCHIVEDRIVE

if (OS2DRIVE="") | (ARCHIVEDRIVE="") then
do
  SAY "Syntax: WC_SAVE OS2Laufwerk ArchivLaufwerk"
  SAY " "
  SAY "Wobei OS2Laufwerk das OS/2-Installationslaufwerk bezeichnet und ArchivLaufwerk"
  SAY "dasjenige Laufwerk, auf dem die Archive der Arbeitsoberflche erzeugt werden."
  SAY " "
  SAY "Beispiel: WC_SAVE C: C:"
  exit
end

if POS('\',OS2DRIVE)=0 then OS2DRIVE=OS2DRIVE'\'
if POS('\',ARCHIVEDRIVE)=0 then ARCHIVEDRIVE=ARCHIVEDRIVE'\'

call SysFileTree ArchiveDrive"os2.key",KeyFile,"FSO","*****","***-*"

if KeyFile.0=0 then
do
  SAY "Das Archivierungsverzeichnis konnte nicht gefunden werden."
  SAY "Bitte versuchen Sie es noch einmal."
  exit
end

call SysFileTree OS2Drive"dock*.cfg",WCFile,"FSO"

call SysFileTree OS2Drive"scenter.cfg",WCFile2,"FSO"

if (WCFile.0=0) | (WCFile2.0=0) then
do
  SAY "Die Konfigurationsdateien des WarpCenter konnten nicht gefunden werden."
  SAY "Bitte versuchen Sie es noch einmal."
  exit
end

DO i=1 TO WCFile.0
  PARSE UPPER VAR WCFile.i WCFile.i
END
PARSE UPPER VAR WCFile2.1 WCFile2.1

DO WHILE LINES(KeyFile.1)>0
  Line=LINEIN(KeyFile.1)
  PARSE UPPER VAR Line Line
  DO i=1 TO WCfile.0
    if POS(WCFile.i,Line)>0 then WCFile.i=""
  END
  if POS(WCFile2.1,Line)>0 then WCFile2.1=""
END

DO i=1 to WCFile.0
  if WCFile.i<>"" then
  do
    call LINEOUT KeyFile.1,"KEYFILE:"WCFile.i
    SAY WCFile.i "wird zuknftig archiviert"
  end
END

if WCFile2.1<>"" then
do
  call LINEOUT KeyFile.1,"KEYFILE:"WCFile2.1
  SAY WCFile2.1 "wird zuknftig archiviert"
end

Say KeyFile.1

SAY " "
SAY "Fertig!"

